Name:           fifi-free-release
Version:        2
Release:        1%{?dist}
Summary:        Fifi (free) repository configuration

Group:          System Environment/Base
License:        BSD
Source0:	fifi-free.repo
Source1:        RPM-GPG-KEY-fifi-19
Source2:        RPM-GPG-KEY-fifi-20

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
The Fifi repository contains mostly bugfixes and enhancements to Fedora and
RpmFusion packages.

This package contains the Fifi GPG key and Yum configuration files.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
cp %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/
install -d $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
cp %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/
cp %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/
ln -s RPM-GPG-KEY-fifi-%{fedora} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-fifi

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}
%dir %{_sysconfdir}/pki
%{_sysconfdir}/pki/rpm-gpg
%dir %{_sysconfdir}/yum.repos.d
%config(noreplace) %{_sysconfdir}/yum.repos.d/fifi-free.repo

%changelog
* Mon Feb  3 2014 Philippe Troin <phil@fifi.org> - 2-1
- Move to one key per release.

* Thu Feb 11 2010 Philippe Troin <phil@fifi.org> - 1-1
- Move debug to a subdir of the arch.
- Prevent any packages from being installed until the user changes the
  includepkgs line in .repo.

* Sun Jan  4 2009 Philippe Troin <phil@fifi.org> - 1-1
- Created.
